package ru.micord.ervu.security.esia.model;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * @author Eduard Tihomirov
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class OrganizationModel implements Serializable {

  private static final long serialVersionUID = 1L;

  private String oid;

  private String fullName;

  private String shortName;

  private String type;

  private String inn;

  private String ogrn;

  private String leg;

  private String kpp;

  private Addresses addresses;

  private Contacts contacts;

  private Long staffCount;

  private Long branchesCount;

  private BrhsModel[] brhs;

  private Boolean isLiquidated;

  private String agencyTerRange;

  private String agencyType;

  public String getOid() {
    return oid;
  }

  public void setOid(String oid) {
    this.oid = oid;
  }

  public String getFullName() {
    return fullName;
  }

  public void setFullName(String fullName) {
    this.fullName = fullName;
  }

  public String getShortName() {
    return shortName;
  }

  public void setShortName(String shortName) {
    this.shortName = shortName;
  }

  public String getInn() {
    return inn;
  }

  public void setInn(String inn) {
    this.inn = inn;
  }

  public String getOgrn() {
    return ogrn;
  }

  public void setOgrn(String ogrn) {
    this.ogrn = ogrn;
  }

  public String getLeg() {
    return leg;
  }

  public void setLeg(String leg) {
    this.leg = leg;
  }

  public String getKpp() {
    return kpp;
  }

  public void setKpp(String kpp) {
    this.kpp = kpp;
  }

  public Addresses getAddresses() {
    return addresses;
  }

  public void setAddresses(Addresses addresses) {
    this.addresses = addresses;
  }

  public Contacts getContacts() {
    return contacts;
  }

  public void setContacts(Contacts contacts) {
    this.contacts = contacts;
  }

  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }

  public Long getStaffCount() {
    return staffCount;
  }

  public void setStaffCount(Long staffCount) {
    this.staffCount = staffCount;
  }

  public Long getBranchesCount() {
    return branchesCount;
  }

  public void setBranchesCount(Long branchesCount) {
    this.branchesCount = branchesCount;
  }

  public BrhsModel[] getBrhs() {
    return brhs;
  }

  public void setBrhs(BrhsModel[] brhs) {
    this.brhs = brhs;
  }

  public Boolean getIsLiquidated() {
    return isLiquidated;
  }

  public void setIsLiquidated(Boolean liquidated) {
    isLiquidated = liquidated;
  }

  public String getAgencyTerRange() {
    return agencyTerRange;
  }

  public void setAgencyTerRange(String agencyTerRange) {
    this.agencyTerRange = agencyTerRange;
  }

  public String getAgencyType() {
    return agencyType;
  }

  public void setAgencyType(String agencyType) {
    this.agencyType = agencyType;
  }
}
